1573a3
From c99f396a5d456520b34c60f43c589ca39a301955 Mon Sep 17 00:00:00 2001
1573a3
From: =?UTF-8?q?Renaud=20M=C3=A9trich?= <rmetrich@redhat.com>
1573a3
Date: Wed, 14 Nov 2018 13:19:27 +0100
1573a3
Subject: [PATCH] fips: removed false-positive 'FATAL: Module xxx not found'
1573a3
 error message when kernel provides a generic algo for module
1573a3
1573a3
Resolves: rhbz#1996019
1573a3
---
1573a3
 modules.d/01fips/fips.sh | 4 ++--
1573a3
 1 file changed, 2 insertions(+), 2 deletions(-)
1573a3
1573a3
diff --git a/modules.d/01fips/fips.sh b/modules.d/01fips/fips.sh
1573a3
index 03da6861..1d57a889 100755
1573a3
--- a/modules.d/01fips/fips.sh
1573a3
+++ b/modules.d/01fips/fips.sh
1573a3
@@ -77,7 +77,7 @@ fips_load_crypto()
1573a3
     mv /etc/modprobe.d/fips.conf /etc/modprobe.d/fips.conf.bak
1573a3
     for _module in $FIPSMODULES; do
1573a3
         if [ "$_module" != "tcrypt" ]; then
1573a3
-            if ! modprobe "${_module}"; then
1573a3
+            if ! modprobe "${_module}" 2>/tmp/fips.modprobe_err; then
1573a3
                 # check if kernel provides generic algo
1573a3
                 _found=0
1573a3
                 while read _k _s _v || [ -n "$_k" ]; do
1573a3
@@ -86,7 +86,7 @@ fips_load_crypto()
1573a3
                     _found=1
1573a3
                     break
1573a3
                 done 
1573a3
-                [ "$_found" = "0" ] && return 1
1573a3
+                [ "$_found" = "0" ] && cat /tmp/fips.modprobe_err >&2 && return 1
1573a3
             fi
1573a3
         fi
1573a3
     done
1573a3